dev_get_by_name
Prev | Driver Support | Next

## Name

dev_get_by_name — find a device by its name

## Synopsis

`struct net_device * dev_get_by_name (` | const char * | name`)`;

## Arguments

`name`

  name to find

## Description

Find an interface by name. This can be called from any context and does its own locking. The returned handle has the usage count incremented and the caller must use `dev_put` to release it when it is no longer needed. `NULL` is returned if no matching device is found.

Prev | Up | Next
__dev_get_by_name | Home | __dev_get_by_index